﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UchetLabContracts.BindingModels;
using UchetLabContracts.SearchModels;
using UchetLabContracts.ViewModels;

namespace UchetLabContracts.BusinessLogicsContracts
{
    public interface ILabLogic
    {
        List<LabViewModel>? ReadList(LabSearchModel? model);
        LabViewModel? ReadElement(LabSearchModel model);
        bool Create(LabBindingModel model);
        bool Update(LabBindingModel model);
        bool Delete(LabBindingModel model);
    }
}
