﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UchetLabContracts.BindingModels;
using UchetLabContracts.SearchModels;
using UchetLabContracts.ViewModels;

namespace UchetLabContracts.StorageContracts
{
    public interface ICheckerStorage
    {
        List<CheckerViewModel> GetFullList();
        List<CheckerViewModel> GetFilteredList(CheckerSearchModel model);
        CheckerViewModel? GetElement(CheckerSearchModel model);
        CheckerViewModel? Insert(CheckerBindingModel model);
        CheckerViewModel? Update(CheckerBindingModel model);
        CheckerViewModel? Delete(CheckerBindingModel model);
    }
}
