﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UchetLabContracts.BindingModels;
using UchetLabContracts.SearchModels;
using UchetLabContracts.ViewModels;

namespace UchetLabContracts.BusinessLogicsContracts
{
    public interface ICheckerLogic
    {
        List<CheckerViewModel>? ReadList(CheckerSearchModel? model);
        CheckerViewModel? ReadElement(CheckerSearchModel model);
        bool Create(CheckerBindingModel model);
        bool Update(CheckerBindingModel model);
        bool Delete(CheckerBindingModel model);
    }
}
