﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UchetLabContracts.BindingModels;
using UchetLabContracts.SearchModels;
using UchetLabContracts.ViewModels;

namespace UchetLabContracts.StorageContracts
{
    public interface ILabStorage
    {
        List<LabViewModel> GetFullList();
        List<LabViewModel> GetFilteredList(LabSearchModel model);
        LabViewModel? GetElement(LabSearchModel model);
        LabViewModel? Insert(LabBindingModel model);
        LabViewModel? Update(LabBindingModel model);
        LabViewModel? Delete(LabBindingModel model);
    }
}
