﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UchetLabContracts.StorageContracts;
using UchetLabDatabaseImplement.Implements;

namespace WinFormUchetLab
{
    public static class SingletonDatabase
    {
        private static ILabStorage? _labStorage = null;
        public static ILabStorage LabStorage
        {
            get
            {
                if (_labStorage == null)
                    _labStorage = new LabStorage();
                return _labStorage;
            }
        }

        private static ICheckerStorage? _checkerStorage = null;
        public static ICheckerStorage CheckerStorage
        {
            get
            {
                if (_checkerStorage == null)
                    _checkerStorage = new CheckerStorage();
                return _checkerStorage;
            }
        }
    }
}
